Skip to content

Create a new custom entity record.

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
idstring

row id, internally generated id, unique for an entity within entity type

entityIdstring

Id of the instance, user provided

namestring

Standard name field, every entity must have a name such that default tabular view of entity could be created.

detailstring

Optional detail field, entity may have detail field to show in tabular view

typestringrequired

Type of the instance, Id of the CustomEntitySpec to which this instance belongs

valuesobject

Attribute values

createdTimestring

Created time for the custom entity instance

createdTimeInMillisinteger, (int64)
modifiedTimestring

Last modified time for the custom entity instance

modifiedTimeInMillisinteger, (int64)
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/entity \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "entityId": "string",
    "name": "string",
    "detail": "string",
    "type": "string",
    "values": {
      "property1": {},
      "property2": {}
    },
    "createdTime": "string",
    "createdTimeInMillis": 0,
    "modifiedTime": "string",
    "modifiedTimeInMillis": 0
  }'

Responses

Success

Bodyapplication/json
idstring

row id, internally generated id, unique for an entity within entity type

entityIdstring

Id of the instance, user provided

namestring

Standard name field, every entity must have a name such that default tabular view of entity could be created.

detailstring

Optional detail field, entity may have detail field to show in tabular view

typestringrequired

Type of the instance, Id of the CustomEntitySpec to which this instance belongs

valuesobject

Attribute values

createdTimestring

Created time for the custom entity instance

createdTimeInMillisinteger, (int64)
modifiedTimestring

Last modified time for the custom entity instance

modifiedTimeInMillisinteger, (int64)
Response
{ "id": "string", "entityId": "string", "name": "string", "detail": "string", "type": "string", "values": { "property1": {}, "property2": {} }, "createdTime": "string", "createdTimeInMillis": 0, "modifiedTime": "string", "modifiedTimeInMillis": 0 }